Package org.opensaml.saml.metadata.resolver

# Enum Class DetectDuplicateEntityIDs

java.lang.Object
java.lang.Enum<DetectDuplicateEntityIDs>
org.opensaml.saml.metadata.resolver.DetectDuplicateEntityIDs

All Implemented Interfaces:
  `Serializable`, `Comparable<DetectDuplicateEntityIDs>`, `Constable`

public enum DetectDuplicateEntityIDs extends Enum<DetectDuplicateEntityIDs>
Strategy for performing detection of duplicate entityIDs across metadata resolvers.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`All`
Detect with all metadata resolvers.
`Batch`
Detect only with batch metadata resolvers.
`Dynamic`
Detect only with dynamic metadata resolvers.
`Off`
No duplicate detection.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DetectDuplicateEntityIDs()`

## Method Summary

Modifier and Type
Method
Description
`static DetectDuplicateEntityIDs`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DetectDuplicateEntityIDs[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Off

public static final DetectDuplicateEntityIDs Off
No duplicate detection.

### Batch

public static final DetectDuplicateEntityIDs Batch
Detect only with batch metadata resolvers.

### Dynamic

public static final DetectDuplicateEntityIDs Dynamic
Detect only with dynamic metadata resolvers.

### All

public static final DetectDuplicateEntityIDs All
Detect with all metadata resolvers.

## Constructor Details

### DetectDuplicateEntityIDs

private DetectDuplicateEntityIDs()

## Method Details

### values

public static DetectDuplicateEntityIDs[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DetectDuplicateEntityIDs valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null